Package ru.bitel.bgbilling.modules.mobile.common.bean

# Enum Class PushStatusType

java.lang.Object
java.lang.Enum<PushStatusType>
ru.bitel.bgbilling.modules.mobile.common.bean.PushStatusType

All Implemented Interfaces:
  `Serializable`, `Comparable<PushStatusType>`, `Constable`

public enum PushStatusType extends Enum<PushStatusType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NOT_DEFINED`
  `NOT_SUCCESS_DEVICE_REJECTED`
  `NOT_SUCCESS_HTTP_ERROR`
  `NOT_SUCCESS_INTERNAL_ERROR`
  `NOT_SUCCESS_NOT_VALID_PARAMS`
  `NOT_SUCCESS_NOT_VALID_TOKEN`
  `NOT_SUCCESS_TRY_LATER`
  `SOME_SUCCESS`
  `SUCCESS`
  `TYPE_UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PushStatusType`
  `getByCode(int code)`
  Получить значение по коду от сервера
  `int`
  `getCode()`
  `static boolean`
  `statusIsReachable(PushStatusType status)`
  `String`
  `toString()`
  `static PushStatusType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PushStatusType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final PushStatusType SUCCESS

  - ### SOME_SUCCESS

    public static final PushStatusType SOME_SUCCESS

  - ### NOT_SUCCESS_TRY_LATER

    public static final PushStatusType NOT_SUCCESS_TRY_LATER

  - ### NOT_SUCCESS_DEVICE_REJECTED

    public static final PushStatusType NOT_SUCCESS_DEVICE_REJECTED

  - ### NOT_SUCCESS_INTERNAL_ERROR

    public static final PushStatusType NOT_SUCCESS_INTERNAL_ERROR

  - ### NOT_SUCCESS_NOT_VALID_TOKEN

    public static final PushStatusType NOT_SUCCESS_NOT_VALID_TOKEN

  - ### NOT_SUCCESS_NOT_VALID_PARAMS

    public static final PushStatusType NOT_SUCCESS_NOT_VALID_PARAMS

  - ### NOT_DEFINED

    public static final PushStatusType NOT_DEFINED

  - ### NOT_SUCCESS_HTTP_ERROR

    public static final PushStatusType NOT_SUCCESS_HTTP_ERROR

  - ### TYPE_UNKNOWN

    public static final PushStatusType TYPE_UNKNOWN

- ## Method Details

  - ### values

    public static PushStatusType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PushStatusType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<PushStatusType>`

  - ### getByCode

    public static PushStatusType getByCode(int code)
    Получить значение по коду от сервера

  - ### statusIsReachable

    public static boolean statusIsReachable(PushStatusType status)
    Returns:
      true если статус позволяет отправку уведомлений